Booklinker.API

<back to all web services

GetShortLinkMetadataRequest

The following routes are available for this service:
GET/v1/shortlink/metadata
GetShortLinkMetadataRequest Parameters:
NameParameterData TypeRequiredDescription
AliasDomainquerystringNo
AliasCodequerystringNo
GetShortLinkMetadataResponse Parameters:
NameParameterData TypeRequiredDescription
BaseCodeformstringNo
DomainformstringNo
CodeformstringNo
ProductMetadataformProductMetadataNo
DestinationsformList<Destination>No
ResponseStatusformResponseStatusNo
ProductMetadata Parameters:
NameParameterData TypeRequiredDescription
TitleformstringNo
AuthorformstringNo
UrlformUriNo
DescriptionformstringNo
RetailerformstringNo
ProductImagesformIDictionary<string, Uri>No
Destination Parameters:
NameParameterData TypeRequiredDescription
IsSuggestionformboolNo
IsAutoSuggestionformboolNo
DestinationUrlformstringNo
ReplacementButtonformstringNo

To override the Content-type in your clients, use the HTTP Accept Header, append the .other suffix or ?format=other

HTTP + OTHER

The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.

GET /v1/shortlink/metadata HTTP/1.1 
Host: api.booklinker.com 
Accept: text/jsonl
HTTP/1.1 200 OK
Content-Type: text/jsonl
Content-Length: length

{"baseCode":"String","domain":"String","code":"String","productMetadata":{"title":"String","author":"String","description":"String","retailer":"String"},"destinations":[{"isSuggestion":false,"isAutoSuggestion":false,"destinationUrl":"String","replacementButton":"String"}],"responseStatus":{"errorCode":"String","message":"String","stackTrace":"String","errors":[{"errorCode":"String","fieldName":"String","message":"String","meta":{"String":"String"}}],"meta":{"String":"String"}}}